<?php
/*
 * ----------------------------------------------------------------------------
 * Common.inc.php                                                    05/06/2004
 * This script contains various settings that are initiated for every VADV-PHP
 * script. You should include va-functions.inc.php instead of including this
 * file directly.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2004 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

ob_start('ob_handler');                     // Turn on buffering.

ini_set('session.name', 'VADVPHP');         // A VADV-PHP session.
ini_set('session.use_cookies', 1);          // Turn on cookies for sessions.
ini_set('session.cookie_lifetime', 900);    // Set cookie lifetime to 15 mins.
session_start();                            // Start the session.

$startTime = ProgramTime();                 // Begin recording the execution time.

if (ini_get('max_execution_time') < 120) {   // Set max execution time.
    ini_set('max_execution_time', 120);
}
ini_set('memory_limit', '8M');              // Set max memory limit.
ini_set('display_errors', 1);               // Display errors. They will be handled
                                            // by the two error handling functions.

ini_set('magic_quotes_runtime', 0);         // Fix magic quotes.
if (get_magic_quotes_gpc()) {
    if (isset($_POST)) {
        Array_StripSlashes($_POST);
    }
    if (isset($_GET)) {
        Array_StripSlashes($_GET);
    }
    if (isset($_COOKIES)) {
        Array_StripSlashes($_COOKIES);
    }
}


/**
* Common.inc.php :: ob_handler()
*
* This function handles fatal errors.
*
* @param [type] $buffer
* @return
*/
function ob_handler($buffer) {
    global $VERSION;
    global $DEBUG_MAIL;

    $phpVersion  = phpversion();
    $temp_buffer = $buffer;
    $smtp_server = 'mail.at2k.org';

    if ((preg_match('/<b>Fatal error<\/b>: .+ in <b>.+?<\/b> on line <b>\d+<\/b><br \/>/', $temp_buffer, $matches))) {
        // Send an email to the VADV-PHP bug report address.
        if ($DEBUG_MAIL == TRUE) {
            if (gethostbyname($smtp_server) != $smtp_server) {
                ini_set('SMTP', $smtp_server);
                ini_set('sendmail_from', 'bugs@vadvphp.com');
                $headers  = "MIME-Version: 1.0\n";
                $headers .= "Reply-To: bugs@vadvphp.com\n";
                $headers .= "X-Sender: Bug Report<bugs@vadvphp.com>\n";
                $headers .= "X-Mailer: PHP/" . $phpVersion . "\n";
                $headers .= "X-Priority: 3\n";
                $headers .= "Return-Path: <bugs@vadvphp.com>\n";

                mail('bugs@vadvphp.com',
                     '[FATAL] VADV-PHP ERROR (' . $VERSION . ')',
                     'http://' . $_SERVER['SERVER_NAME'] . "\n" . strip_tags($matches[0]) . "\n\nPHP Version: " . $phpVersion,
                     $headers);
                ini_restore('SMTP');
                ini_restore('sendmail_from');
            }
        }

        // Replace the buffer.
        $temp_buffer = <<<EOD
<h2>Unable to display page.</h2>
<p>
An error occurred while processing your request. The site administrator has been notified.
</p>
<p>
We apologize for the inconvenience.
</p>
EOD;
    }

    return $temp_buffer;
}

?>
