<?php
/*
 * ----------------------------------------------------------------------------
 * UserList.php                                                      04/21/2004
 * This script will print out a listing of all users.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2004 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('include_dir.php');
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.
require_once($includeDir . 'va-main.inc.php');      // Include main configuration.
require_once($includeDir . 'va-userfile.inc.php');  // Include user information.

ob_start('ob_gzhandler');                   // Turn on buffering and compression to speed things up.

?>
<html>

<head>
<title>[User List] - <?php print $VA_MAIN['bbsname']; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8559-1" />
<meta name="robots" content="noindex, follow" />
<meta name="copyright" content="Copyright  <?php print date("Y"); ?>, Steve Winn" />
<style>
<!--
    a:active           { color: #FF0000 }
    a:link             { color: #0000D0 }
    a:visited          { color: #0000D0 }
    a:hover            { color: #FF0000 }
    .body              { font-family: Courier New;               font-size: 10pt; color: #FFFFFF }
    .header            { font-family: Courier New;               font-size: 12pt; color: #FFFFFF; font-weight: bold }
    .title             { font-family: Verdana, Arial, Helvetica; font-size: 14pt; color: #FFFF00; font-weight:bold; font-style:italic }
-->
</style>
</head>

<body bgcolor="#000000">

<p class="title" align="right">Virtual Advanced User Listing
<hr color="#525552">
<div align="center">
    <center>
    <table border="0" cellpadding="2" cellspacing="0" style="border-collapse: collapse" bordercolor="#FFFFFF" width="100%">
        <tr>
            <td align="left" class="header">
                <p>No.</p>
            </td>
            <td align="left" class="header">
                <p>Handle</p>
            </td>
            <td align="left" class="header">
                <p>Real Name</p>
            </td>
            <td align="left" class="header">
                <p>City</p>
            </td>
            <td align="left" class="header">
                <p>State</p>
            </td>
            <td align="left" class="header">
                <p>LastOn</p>
            </td>
            <?php if ($USER['securitylevel'] >= 255) print "<td align=\"left\" class=\"header\"><p>SL</p>\n"; ?>
            </td>
        </tr>
<?php
$fileString = ReadUserfile();           // Read the userfile.
$length     = strlen($fileString);      // Determine the length of the file string.

$offset     = 1048;                     // Set the file offset.
$position   = 0;                        // Set the starting position.

for ($x = 1; $position < $length; $x++) {
    $handle   = GetString($fileString, 1 + $position, 40);
    $name     = GetString($fileString, 41 + $position, 40);
    $city     = GetString($fileString, 121 + $position, 32);
    $state    = GetString($fileString, 153 + $position, 3);
    $laston   = GetString($fileString, 376 + $position, 6);
    $laston   = substr($laston, 2, 2) . '-' . substr($laston, 4, 2) . '-' . substr($laston, 0, 2);
    $seclevel = GetInteger($fileString, 374 + $position);
    if (($USER['securitylevel'] >= 255) || ($seclevel > 0)) {
?>
        <tr>
            <td align="left" class="body">
                <p><?php if ($USER['securitylevel'] >= 255) print '<a href="usereditor.php?u=' . $x . '">'; ?><font color="#FFFF52"><?php print $x; ?></font><?php if ($USER['securitylevel'] >= 255) print '</a>'; ?></p></td>
            <td align="left" class="body">
                <p><a href="userinfo.php?u=<?php print $x; ?>"><font color="#52FF52"><?php print $handle; ?></font></a></p></td>
            <td align="left" class="body">
                <p><a href="userinfo.php?u=<?php print $x; ?>"><font color="#00AA00"><?php print $name; ?></font></a></p></td>
            <td align="left" class="body">
                <p><font color="#5255FF"><?php print $city; ?></font></p></td>
            <td align="left" class="body">
                <p><font color="#5255FF"><?php print $state; ?></font></p></td>
            <td align="left" class="body">
                <p><font color="#FF55FF"><?php print $laston; ?></font></p></td>
            <?php if ($USER['securitylevel'] >= 255) print '<td align="left" class="body"><p><font color="#FF5552">' . $seclevel . "</font></p></td>\n"; ?>
        </tr>
<?php
    }
    $position = $position + $offset;
}
?>
    </table>
    </center>
</div>

<?php GlobalFooter(1); ?>

</body>

</html>

<?php ob_end_flush(); ?>
