<?php
/*
 * ----------------------------------------------------------------------------
 * WebUserList.php                                                   04/21/2004
 * This script displays to the sysop the current web-users.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2004 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('include_dir.php');
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.
require_once($includeDir . 'va-main.inc.php');      // Include main configuration.

if (($USER['userno'] == 0) || ($USER['userno'] == $CONFIG['guestacct'])) {
    RedirectUser('../bbslogin.php?url=' . urlencode(GetCurrentURL()));
}
if ($USER['securitylevel'] < 255) {
    $log = 'ERROR! "' . $USER['handle'] . '" - Attempted Unauthorized WebUserList Entry';
    WriteLog('vadv-php.log', $log);
    RedirectUser('../index.php');
}

ob_start('ob_gzhandler');                   // Turn on buffering and compression to speed things up.

?>
<html>

<head>
<title>[Current VADV-PHP Users] - <?php print $VA_MAIN['bbsname']; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8559-1" />
<meta name="robots" content="noindex, follow" />
<meta name="copyright" content="Copyright  <?php print date("Y"); ?>, Steve Winn" />
<style>
<!--
    a:active           { color: #FF0000 }
    a:link             { color: #0000D0 }
    a:visited          { color: #0000D0 }
    a:hover            { color: #FF0000 }
    .body              { font-family: Courier New;               font-size: 10pt; color: #FFFFFF }
    .header            { font-family: Courier New;               font-size: 12pt; color: #FFFFFF; font-weight: bold }
    .title             { font-family: Verdana, Arial, Helvetica; font-size: 14pt; color: #FFFF00; font-weight:bold; font-style:italic }
-->
</style>
</head>

<body bgcolor="#000000">

<p class="title" align="right">Current VADV-PHP Users
<hr color="#525552">
<div align="center">
    <center>
    <table border="0" cellpadding="2" cellspacing="0" style="border-collapse: collapse" width="100%">
        <tr>
            <td align="left" class="header">
                <p>No.</p>
            </td>
            <td align="left" class="header">
                <p>Handle</p>
            </td>
            <td align="left" class="header">
                <p>IP Address</p>
            </td>
            <td align="left" class="header">
                <p>Session ID</p>
            </td>
            <td align="left" class="header">
                <p>Last</p>
            </td>
            <td align="left" class="header">
                <p>Left</p>
            </td>
        </tr>
<?php
$guestno = 0 ;                              // Set number of guests.

for ($x = 1; $x <= $VA_USERS[0]; $x++) {
    // Count the guests.
    if ($VA_USERS[$x]['userno'] == 0) $guestno++;
    
    // Get user's time.
    $lastTime = date("H:i:s", $VA_USERS[$x]['time']);
    $leftTime = 900 - (time() - $VA_USERS[$x]['time']);
    $leftTime = date("H:i:s", mktime(0, 0, $leftTime));
?>
        <tr>
            <td align="left" class="body">
                <p><?php
                   if ($VA_USERS[$x]['userno'] != 0) {
                       print '<a href="usereditor.php?u=' . $VA_USERS[$x]['userno'] . '">';
                   }
                   ?>
                   <font color="#FFFF52"><?php print $VA_USERS[$x]['userno']; ?></font>
                   <?php
                   if ($VA_USERS[$x]['userno'] != 0) {
                       print '</a>';
                   }
                   ?></p>
            </td>
            <td align="left" class="body">
                <p><?php
                   if ($VA_USERS[$x]['userno'] != 0) {
                       print '<a href="userinfo.php?u=' . $VA_USERS[$x]['userno'] . '">';
                   }
                   ?>
                   <font color="#52FF52"><?php print $VA_USERS[$x]['handle']; ?></font>
                   <?php
                   if ($VA_USERS[$x]['userno'] != 0) {
                       print '</a>';
                   }
                   ?></p>
            </td>
            <td align="left" class="body">
                <p><font color="#FF55FF"><?php print $VA_USERS[$x]['ip']; ?></font></p>
            </td>
            <td align="left" class="body">
                <p><font color="#FF5552"><?php print $VA_USERS[$x]['session']; ?></font></p>
            </td>
            <td align="left" class="body">
                <p><font color="#5255FF"><?php print $lastTime; ?></font></p>
            </td>
            <td align="left" class="body">
                <p><font color="#5255FF"><?php print $leftTime; ?></font></p>
            </td>
        </tr>
<?php
}
?>
    </table>
    </center>
</div>
<hr color="#525552">
<table border="0" cellpadding="2" cellspacing="0" style="border-collapse: collapse" width="100%">
    <tr>
        <td align="center" class="body">
            <font color="#FFFF00">Guests: </font><?php print $guestno; ?>&nbsp;&nbsp;<font color="#FFFF00">Users: </font><?php print $VA_USERS[0] - $guestno; ?>
        </td>
    </tr>
</table>

<?php GlobalFooter(1); ?>

</body>

</html>

<?php ob_end_flush(); ?>
