<?php
/*
 * ----------------------------------------------------------------------------
 * VConfig_Main.php                                                  04/21/2004
 * VConfig's main configuration.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2004 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('include_dir.php');                    // Get include directory.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.
require_once($includeDir . 'va-main.inc.php');      // Get current main configuration.

if (($USER['userno'] == 0) ||
    ($USER['userno'] == $CONFIG['guestacct']) ||
    ($USER['securitylevel'] == 0)) {
    die(VA_LoginError());
}
if ($USER['securitylevel'] < 255) {
    $log = 'VConfig Error!  "' . $USER['handle'] . '" - Attempted Unauthorized VConfig Entry';
    WriteLog('vadv-php.log', $log);
    RedirectUser('../index.php');
}

?>
<html>

<head>
<title>VADV-PHP VConfig (Main Configuration)</title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8559-1" />
<meta name="robots" content="noindex, follow" />
<meta name="copyright" content="Copyright  <?php print date("Y"); ?>, Steve Winn" />
<link rel="stylesheet" type="text/css" href="VCONFIG.css">
</head>

<body link="#FFFFFF" vlink="#FFFFFF" bgcolor="#000000">

<div align="center">
    <center>
    <table border="1" cellpadding="5" cellspacing="0" width="750" bgcolor="#000080" bordercolor="#FFFFFF">
        <tr>
            <td>
                <table border="0" cellspacing="0" style="border-collapse: collapse" cellpadding="5" bgcolor="#000080" width="100%">
                    <tr>
                        <td>
                        <div align="center">
                            <center>
                            <table border="0" style="border-collapse: collapse" cellpadding="5" cellspacing="0">
                                <tr>
                                    <td height="40" colspan="2">
                                        <p class="heading" align="center">Main Configuration</p>
                                    </td>
                                </tr>
                                <tr>
                                    <td height="40" colspan="2">
                                        <p align="center" class="footer">
                                        <a class="footer" href="vconfig.php">Exit to VADV-PHP VConfig</a><br />
                                        <a class="footer" href="../index.php">Exit to BBS&#39;s VADV-PHP Page</a>
                                        </p>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2" height="25"></td>
                                </tr>
                                <form name="maincfg" method="post" action="vconfig_main_process.php">
                                    <input type="hidden" name="process" value="1">
                                    <input type="hidden" name="referer" value="<?php print GetCurrentURL(); ?>">
                                    <tr>
                                        <td colspan="2" style="border-top:1px solid #C0C0C0; border-bottom:1px solid #C0C0C0;">
                                            <p class="subHeading" align="center">General Settings</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">BBS Name:</td>
                                        <td><input type="text" name="bbsname" size="40" maxlength="40" value="<?php print $VA_MAIN['bbsname']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Sysop Name:</td>
                                        <td><input type="text" name="sysopname" size="40" maxlength="40" value="<?php print $VA_MAIN['sysopname']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Local Time Zone:</td>
                                        <td><input type="text" name="timezone" size="12" maxlength="12" value="<?php print $VA_MAIN['timezone']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">WFC Drive List:</td>
                                        <td><input type="text" name="wfcdrives" size="5" maxlength="5" value="<?php print $VA_MAIN['wfcdrives']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Phone Number Format:</td>
                                        <td><input type="text" name="phoneformat" size="24" maxlength="24" value="<?php print $VA_MAIN['phoneformat']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Net Low Time:</td>
                                        <td><input type="text" name="netlowtime" size="5" maxlength="5" value="<?php print $VA_MAIN['netlowtime']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Net High Time:</td>
                                        <td><input type="text" name="nethightime" size="5" maxlength="5" value="<?php print $VA_MAIN['nethightime']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">QWK Packet Filename:</td>
                                        <td><input type="text" name="qwkfilename" size="8" maxlength="8" value="<?php print $VA_MAIN['qwkfilename']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" style="border-top:1px solid #C0C0C0; border-bottom:1px solid #C0C0C0;">
                                            <p class="subHeading" align="center">Feature Settings</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Tossing Options:</td>
                                        <td>
                                            <select size="1" name="tossopt">
                                            <option value="0" <?php if ($VA_MAIN['tossopt'] == 0) print "selected"; ?>>Standard</option>
                                            <option value="1" <?php if ($VA_MAIN['tossopt'] == 1) print "selected"; ?>>Direct</option>
                                            <option value="2" <?php if ($VA_MAIN['tossopt'] == 2) print "selected"; ?>>Background</option>
                                            <option value="3" <?php if ($VA_MAIN['tossopt'] == 3) print "selected"; ?>>Direct Background</option>
                                            <option value="4" <?php if ($VA_MAIN['tossopt'] == 4) print "selected"; ?>>LoadSense</option>
                                            <option value="5" <?php if ($VA_MAIN['tossopt'] == 5) print "selected"; ?>>Direct LoadSense</option>
                                            <option value="6" <?php if ($VA_MAIN['tossopt'] == 6) print "selected"; ?>>Background LoadSense</option>
                                            <option value="7" <?php if ($VA_MAIN['tossopt'] == 7) print "selected"; ?>>Direct Background LoadSense</option>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">New Upload Scanner:</td>
                                        <td>
                                            <select size="1" name="uploadscan">
                                            <option value="0" <?php if ($VA_MAIN['uploadscan'] == 0) print "selected"; ?>>Disabled</option>
                                            <option value="1" <?php if ($VA_MAIN['uploadscan'] == 1) print "selected"; ?>>Scan & Warn</option>
                                            <option value="2" <?php if ($VA_MAIN['uploadscan'] == 2) print "selected"; ?>>Scan & Delete</option>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Log Level:</td>
                                        <td>
                                            <select size="1" name="logdetail">
                                            <option value="0" <?php if ($VA_MAIN['logdetail'] == 0) print "selected"; ?>>Normal</option>
                                            <option value="1" <?php if ($VA_MAIN['logdetail'] == 1) print "selected"; ?>>Extended</option>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Logoff BAT/CMD:</td>
                                        <td>
                                            <select size="1" name="logoffbat">
                                            <option value="0" <?php if ($VA_MAIN['logoffbat'] == 0) print "selected"; ?>>Disabled</option>
                                            <option value="1" <?php if ($VA_MAIN['logoffbat'] == 1) print "selected"; ?>>Channel 1 Only</option>
                                            <option value="2" <?php if ($VA_MAIN['logoffbat'] == 2) print "selected"; ?>>All Channels</option>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Multitasker:</td>
                                        <td>
                                            <select size="1" name="multitasker">
                                            <option value="0" <?php if ($VA_MAIN['multitasker'] == 0) print "selected"; ?>>Disabled</option>
                                            <option value="1" <?php if ($VA_MAIN['multitasker'] == 1) print "selected"; ?>>Desqview</option>
                                            <option value="2" <?php if ($VA_MAIN['multitasker'] == 2) print "selected"; ?>>Windows or OS/2</option>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Allow Handles</td>
                                        <td><input type="checkbox" name="allowhandle" value="1" <?php if ($VA_MAIN['allowhandle'] == 1) print "checked"; ?>></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">System PW at WFC</td>
                                        <td><input type="checkbox" name="needwfcpw" value="1" <?php if ($VA_MAIN['needwfcpw'] == 1) print "checked"; ?>></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Ignore Extensions</td>
                                        <td><input type="checkbox" name="ignoreext" value="1" <?php if ($VA_MAIN['ignoreext'] == 1) print "checked"; ?>></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Require Filename Entry</td>
                                        <td><input type="checkbox" name="forcefilename" value="1" <?php if ($VA_MAIN['forcefilename'] == 1) print "checked"; ?>></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Inverse Bar</td>
                                        <td><input type="checkbox" name="inversebar" value="1" <?php if ($VA_MAIN['inversebar'] == 1) print "checked"; ?>></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Display Networks</td>
                                        <td><input type="checkbox" name="displaynet" value="1" <?php if ($VA_MAIN['displaynet'] == 1) print "checked"; ?>></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Force Feedback</td>
                                        <td><input type="checkbox" name="forcefeedback" value="1" <?php if ($VA_MAIN['forcefeedback'] == 1) print "checked"; ?>></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Auto-Check Polls</td>
                                        <td><input type="checkbox" name="checkpolls" value="1" <?php if ($VA_MAIN['checkpolls'] == 1) print "checked"; ?>></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Allow DIRECTmail</td>
                                        <td><input type="checkbox" name="directmail" value="1" <?php if ($VA_MAIN['directmail'] == 1) print "checked"; ?>></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Secure Uploads</td>
                                        <td><input type="checkbox" name="secuploads" value="1" <?php if ($VA_MAIN['secuploads'] == 1) print "checked"; ?>></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">SysOp F-Key Lockout</td>
                                        <td><input type="checkbox" name="sysfkey" value="1" <?php if ($VA_MAIN['sysfkey'] == 1) print "checked"; ?>></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Detect FIDOnet</td>
                                        <td><input type="checkbox" name="detectfido" value="1" <?php if ($VA_MAIN['detectfido'] == 1) print "checked"; ?>></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Allow Remote SysOp</td>
                                        <td><input type="checkbox" name="allowremote" value="1" <?php if ($VA_MAIN['allowremote'] == 1) print "checked"; ?>></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" style="border-top:1px solid #C0C0C0; border-bottom:1px solid #C0C0C0;">
                                            <p class="subHeading" align="center">Security Levels</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Autopost:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="Autopost Security Level" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" i-maximum-length="3" s-validation-constraint="Less than or equal to" s-validation-value="255" -->
                                            <input type="text" name="autopostsl" size="3" maxlength="3" value="<?php print $VA_MAIN['autopostsl']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Email Others:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="Email Others Security Level" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" i-maximum-length="3" s-validation-constraint="Less than or equal to" s-validation-value="255" -->
                                            <input type="text" name="emlothers" size="3" maxlength="3" value="<?php print $VA_MAIN['emlothers']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Email SysOp Att File:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="Email SysOp Security Level" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" i-maximum-length="3" s-validation-constraint="Less than or equal to" s-validation-value="255" -->
                                            <input type="text" name="emlsysfile" size="3" maxlength="3" value="<?php print $VA_MAIN['emlsysfile']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Email Others Att File:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="Email Others Att File Security Level" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" i-maximum-length="3" s-validation-constraint="Less than or equal to" s-validation-value="255" -->
                                            <input type="text" name="emlotherfile" size="3" maxlength="3" value="<?php print $VA_MAIN['emlotherfile']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">MultiMail:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="MultiMail Security Level" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" i-maximum-length="3" s-validation-constraint="Less than or equal to" s-validation-value="255" -->
                                            <input type="text" name="multimail" size="3" maxlength="3" value="<?php print $VA_MAIN['multimail']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Email Carbon Copy:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="Email Carbon Copy Security Level" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" i-maximum-length="3" s-validation-constraint="Less than or equal to" s-validation-value="255" -->
                                            <input type="text" name="carboncopy" size="3" maxlength="3" value="<?php print $VA_MAIN['carboncopy']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" style="border-top:1px solid #C0C0C0; border-bottom:1px solid #C0C0C0;">
                                            <p class="subHeading" align="center">New User Defaults</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Security Level:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="New User Security Level" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" i-maximum-length="3" s-validation-constraint="Less than or equal to" s-validation-value="255" -->
                                            <input type="text" name="newusersl" size="3" maxlength="3" value="<?php print $VA_MAIN['newusersl']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Time Limit:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="New User Time Limit" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" i-maximum-length="4" s-validation-constraint="Less than or equal to" s-validation-value="1440" -->
                                            <input type="text" name="newusertime" size="5" maxlength="4" value="<?php print $VA_MAIN['newusertime']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Credits:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="New User Credits" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" -->
                                            <input type="text" name="nucredits" size="5" maxlength="4" value="<?php print $VA_MAIN['nucredits']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" style="border-top:1px solid #C0C0C0; border-bottom:1px solid #C0C0C0;">
                                            <p class="subHeading" align="center">Credit Accounting</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Cost per Minute:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="Credit Cost per Minute" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" -->
                                            <input type="text" name="creditcost" size="5" maxlength="3" value="<?php print $VA_MAIN['creditcost']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Cost per Download KB:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="Credit Cost per Download KB" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" -->
                                            <input type="text" name="credperdlk" size="5" maxlength="4" value="<?php print $VA_MAIN['credperdlk']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Given per Post:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="Credits Given per Upload KB" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" -->
                                            <input type="text" name="credperpost" size="5" maxlength="4" value="<?php print $VA_MAIN['credperpost']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Given per Upload KB:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="Credits Given per Minute" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" -->
                                            <input type="text" name="credperuplk" size="5" maxlength="4" value="<?php print $VA_MAIN['credperuplk']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" style="border-top:1px solid #C0C0C0; border-bottom:1px solid #C0C0C0;">
                                            <p class="subHeading" align="center">Call Back Verifier</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Security Level:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="CBV Security Level" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" i-maximum-length="3" s-validation-constraint="Less than or equal to" s-validation-value="255" -->
                                            <input type="text" name="cbvsl" size="3" maxlength="3" value="<?php print $VA_MAIN['cbvsl']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Time Limit:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="CBV Time Limit" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" i-maximum-length="4" s-validation-constraint="Less than or equal to" s-validation-value="1440" -->
                                            <input type="text" name="cbvtime" size="5" maxlength="4" value="<?php print $VA_MAIN['cbvtime']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" style="border-top:1px solid #C0C0C0; border-bottom:1px solid #C0C0C0;">
                                            <p class="subHeading" align="center">Auto-SysOp Validation</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Security Level:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="Auto-SysOp Security Level" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" i-maximum-length="3" s-validation-constraint="Less than or equal to" s-validation-value="255" -->
                                            <input type="text" name="autosysopsl" size="3" maxlength="3" value="<?php print $VA_MAIN['autosysopsl']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Time Limit:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="Auto-SysOp Time Limit" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" i-maximum-length="4" s-validation-constraint="Less than or equal to" s-validation-value="1440" -->
                                            <input type="text" name="autosysoptime" size="5" maxlength="4" value="<?php print $VA_MAIN['autosysoptime']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" style="border-top:1px solid #C0C0C0; border-bottom:1px solid #C0C0C0;">
                                            <p class="subHeading" align="center">Miscellaneous</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Inactivity TimeOut:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="Inactivity TimeOut" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" -->
                                            <input type="text" name="timeout" size="8" maxlength="8" value="<?php print $VA_MAIN['timeout']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Blank WFC Screen:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="Blank WFC Screen" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" -->
                                            <input type="text" name="sblank" size="5" maxlength="4" value="<?php print $VA_MAIN['sblank']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Reserve Space (KB):</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="Reserve Space (KB)" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" -->
                                            <input type="text" name="reservekb" size="5" maxlength="5" value="<?php print $VA_MAIN['reservekb']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre"># of Active Channels:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="# of Active Channels" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" i-maximum-length="100" -->
                                            <input type="text" name="maxchannelno" size="5" maxlength="3" value="<?php print $VA_MAIN['maxchannelno']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Network Poll Delay:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="Network Poll Delay" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" -->
                                            <input type="text" name="polldelay" size="5" maxlength="4" value="<?php print $VA_MAIN['polldelay']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">QWK Message Limit:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="QWK Message Limit" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" -->
                                            <input type="text" name="qwklimit" size="5" maxlength="4" value="<?php print $VA_MAIN['qwklimit']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Mail Hold Time:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="Mail Hold Time" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" -->
                                            <input type="text" name="mailholdtime" size="5" maxlength="5" value="<?php print $VA_MAIN['mailholdtime']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Max Time Bank:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="Max Time Bank" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" -->
                                            <input type="text" name="maxtimebank" size="5" maxlength="4" value="<?php print $VA_MAIN['maxtimebank']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Redial Attempts:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="Redial Attempts" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" -->
                                            <input type="text" name="redials" size="5" maxlength="4" value="<?php print $VA_MAIN['redials']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Rings to Answer On:</td>
                                        <td>
                                            <!--webbot bot="Validation" s-display-name="Rings to Answer On" s-data-type="Integer" s-number-separators="x" b-value-required="TRUE" i-minimum-length="1" -->
                                            <input type="text" name="ringtoanswer" size="5" maxlength="2" value="<?php print $VA_MAIN['ringtoanswer']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre" colspan="2">
                                            <p align="center">
                                            <input type="submit" value="Apply" name="submit">
                                            <input type="reset" value="Reset" name="submit">
                                            <input type="submit" value="Cancel" name="submit">
                                            </p>
                                        </td>
                                    </tr>
                                </form>
                                <tr>
                                    <td colspan="2" height="25"></td>
                                </tr>
                                <tr>
                                    <td height="40" colspan="2">
                                        <p align="center" class="footer">
                                        <a class="footer" href="vconfig.php">Exit to VADV-PHP VConfig</a><br />
                                        <a class="footer" href="../index.php">Exit to BBS&#39;s VADV-PHP Page</a>
                                        </p>
                                    </td>
                                </tr>
                            </table>
                            </center>
                        </div>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    </center>
</div>

</body>

</html>
