<?php
/*
 * ----------------------------------------------------------------------------
 * VConfig_Paths.php                                                 04/21/2004
 * VConfig's path configuration.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2004 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('include_dir.php');                    // Get include directory.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.

if (($USER['userno'] == 0) ||
    ($USER['userno'] == $CONFIG['guestacct']) ||
    ($USER['securitylevel'] == 0)) {
    die(VA_LoginError());
}
if ($USER['securitylevel'] < 255) {
    $log = 'VConfig Error!  "' . $USER['handle'] . '" - Attempted Unauthorized VConfig Entry';
    WriteLog('vadv-php.log', $log);
    RedirectUser('../index.php');
}

?>
<html>

<head>
<title>VADV-PHP VConfig (Paths Configuration)</title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8559-1" />
<meta name="robots" content="noindex, follow" />
<meta name="copyright" content="Copyright  <?php print date("Y"); ?>, Steve Winn" />
<link rel="stylesheet" type="text/css" href="VCONFIG.css">
</head>

<body link="#FFFFFF" vlink="#FFFFFF" bgcolor="#000000">

<div align="center">
    <center>
    <table border="1" cellpadding="5" cellspacing="0" width="750" bgcolor="#000080" bordercolor="#FFFFFF">
        <tr>
            <td>
                <table border="0" cellspacing="0" style="border-collapse: collapse" cellpadding="5" bgcolor="#000080" width="100%">
                    <tr>
                        <td>
                        <div align="center">
                            <center>
                            <table border="0" style="border-collapse: collapse" cellpadding="5" cellspacing="0">
                                <tr>
                                    <td height="40" colspan="2">
                                        <p class="heading" align="center">Paths Configuration</p>
                                    </td>
                                </tr>
                                <tr>
                                    <td height="40" colspan="2">
                                        <p align="center" class="footer">
                                        <a class="footer" href="vconfig.php">Exit to VADV-PHP VConfig</a><br />
                                        <a class="footer" href="../index.php">Exit to BBS&#39;s VADV-PHP Page</a>
                                        </p>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2" height="25"></td>
                                </tr>
                                <form name="pathscfg" method="post" action="vconfig_paths_process.php">
                                    <input type="hidden" name="process" value="1">
                                    <input type="hidden" name="referer" value="<?php print GetCurrentURL(); ?>">
                                    <tr>
                                        <td colspan="2" style="border-top:1px solid #C0C0C0; border-bottom:1px solid #C0C0C0;">
                                            <p class="subHeading" align="center">System Paths<br />
                                            <span class="footer">Note: If you make a mistake on this page, it is a good<br />chance that all VADV-PHP pages will stop functioning!</span></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Main Directory:</td>
                                        <td><input type="text" name="main" size="40" maxlength="40" value="<?php if ($CONFIG['hostname'] != '') {print ConvertUnc($VA_SYSPATHS['main']);} else {print $VA_SYSPATHS['main'];} ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Scripts Directory:</td>
                                        <td><input type="text" name="script" size="40" maxlength="40" value="<?php if ($CONFIG['hostname'] != '') {print ConvertUnc($VA_SYSPATHS['script']);} else {print $VA_SYSPATHS['script'];} ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Data Directory:</td>
                                        <td><input type="text" name="data" size="40" maxlength="40" value="<?php if ($CONFIG['hostname'] != '') {print ConvertUnc($VA_SYSPATHS['data']);} else {print $VA_SYSPATHS['data'];} ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">System Text Directory:</td>
                                        <td><input type="text" name="text" size="40" maxlength="40" value="<?php if ($CONFIG['hostname'] != '') {print ConvertUnc($VA_SYSPATHS['text']);} else {print $VA_SYSPATHS['text'];} ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">CONTROL.DAT Directory:</td>
                                        <td><input type="text" name="control" size="40" maxlength="40" value="<?php if ($CONFIG['hostname'] != '') {print ConvertUnc($VA_SYSPATHS['control']);} else {print $VA_SYSPATHS['control'];} ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Temporary Directory:</td>
                                        <td><input type="text" name="temp" size="40" maxlength="40" value="<?php if ($CONFIG['hostname'] != '') {print ConvertUnc($VA_SYSPATHS['temp']);} else {print $VA_SYSPATHS['temp'];} ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Database Directory:</td>
                                        <td><input type="text" name="db" size="40" maxlength="40" value="<?php if ($CONFIG['hostname'] != '') {print ConvertUnc($VA_SYSPATHS['db']);} else {print $VA_SYSPATHS['db'];} ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Upload/Email Directory:</td>
                                        <td><input type="text" name="sysop" size="40" maxlength="40" value="<?php if ($CONFIG['hostname'] != '') {print ConvertUnc($VA_SYSPATHS['sysop']);} else {print $VA_SYSPATHS['sysop'];} ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">FDX Database Directory:</td>
                                        <td><input type="text" name="fdx" size="40" maxlength="40" value="<?php if ($CONFIG['hostname'] != '') {print ConvertUnc($VA_SYSPATHS['fdx']);} else {print $VA_SYSPATHS['fdx'];} ?>"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre" colspan="2">
                                            <p align="center">
                                            <input type="submit" value="Apply" name="submit">
                                            <input type="reset" value="Reset" name="submit">
                                            <input type="submit" value="Cancel" name="submit">
                                            </p>
                                        </td>
                                    </tr>
                                </form>
                                <tr>
                                    <td colspan="2" height="25"></td>
                                </tr>
                                <tr>
                                    <td height="40" colspan="2">
                                        <p align="center" class="footer">
                                        <a class="footer" href="vconfig.php">Exit to VADV-PHP VConfig</a><br />
                                        <a class="footer" href="../index.php">Exit to BBS&#39;s VADV-PHP Page</a>
                                        </p>
                                    </td>
                                </tr>
                            </table>
                            </center>
                        </div>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    </center>
</div>

</body>

</html>
