<?php
/*
 * ----------------------------------------------------------------------------
 * Todays_Callers.php                                                04/21/2004
 * Display todays callers of the BBS to the mobile device.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2004 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('include_dir.php');
require_once($includeDir . 'va-functions.inc.php');
require_once($includeDir . 'va-main.inc.php');
include_once('wml_header.php');
?>

<wml>

    <head>
        <meta http-equiv="Cache-Control" content="must-revalidate" forua="true" />
        <meta http-equiv="Cache-Control" content="no-cache" forua="true" />
    </head>

    <card title="Today's Callers">
        <p mode="wrap" align="center">
            <b>Today's Callers</b><br />
            <?php print $VA_MAIN['bbsname'] . "\n"; ?>
        </p>
        <p mode="nowrap">

            <?php
            // Set the filename.
            $filename = $VA_SYSPATHS['data'] . '\CALLERS.LST';
            if (!is_file($filename)) {
                $x = 0;
                print "<small>No callers today.</small>\n";
            } else if (filesize($filename) == 0) {
                $x = 0;
                print "<small>No callers today.</small>\n";
            } else {
                $caller = array();
                $fp = fopen($filename, 'r');
                for ($x = 1; !feof($fp); $x++) {
                    $line = fgets($fp);
                    if (trim($line) != '') {
                        $caller[$x]['userno']  = trim(substr($line, 16, 8));
                        $caller[$x]['handle']  = trim(substr($line, 28, 30));
                        $caller[$x]['channel'] = trim(substr($line, 63, 2));
                        if ($caller[$x]['channel'] == '') {
                            $caller[$x]['channel'] = '--';
                        }
                        $caller[$x]['time']    = trim(substr($line, 68, 5));
                        print '<small>[' . $caller[$x]['time'] . '][' . str_pad($caller[$x]['channel'], 2, '0', STR_PAD_LEFT) . '] <b>' . $caller[$x]['handle'] . '</b> (#' . $caller[$x]['userno'] . ")</small><br />\n";
                    }
                }
                fclose($fp);
            }
            ?>

        </p>
        <?php
        if ($x != 0) {
        ?>
        <p mode="nowrap">
            <small><b>Total: <?php print $x - 2; ?></b></small>
        </p>
        <?php
        }
        ?>
        <?php include('mobile_footer.php'); ?>
    </card>

</wml>
